Subject: Re: [PATCH v3] Renesas Ethernet AVB driver

From: Sergei Shtylyov <[email-masked]>
Date: Thu, 23 Apr 2015 01:34:32 +0300

On 04/23/2015 01:18 AM, David Miller wrote:

>>>>      Hmm, I've been digging in the net core, and was unable to see where TX
>>>>      skb's get their NET_IP_ALIGN bytes reserved. Have I missed something?
>>>>      Probably need to print out skb's fields...

>>> NET_IP_ALIGN is for receive, not transmit.

>>     But when I print 'skb->data' from the ndo_start_xmit() method (in the
>>     'sh_eth' driver), all addresses end with 2, so it looks like
>>     NET_IP_ALIGN gets added somewhere...

> It's the IPV4 header which is 4 byte aligned, then the ethernet header
> is pushed which is 14 bytes.

    Sigh... I'm seeing no way out of that then, only copying. :-(

WBR, Sergei